package com.persagy.dmp.digital.client;

import cn.hutool.extra.spring.SpringUtil;
import com.persagy.dmp.basic.dto.RequestData;
import com.persagy.dmp.common.model.response.CommonResult;
import com.persagy.dmp.common.utils.ResultHelper;
import com.persagy.dmp.digital.entity.ObjectRelation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/***
 * Description: 关系计算入口 Client 门面
 * @author : lijie
 * @date :2021/9/3 21:09
 * Update By lijie 2021/9/3 21:09
 */
public class DigitalRelationCaclFacade {

    private static DigitalRelationCaclClient client = SpringUtil.getBean(DigitalRelationCaclClient.class);

    /**
     * 根据项目ID查询设备数量和待报废设备数量统计
     * @param groupCode: 集团编码
     * @param projectId: 项目id
     * @param appId: 应用ID
     * @param userId: 用户ID
     * @param requestData: 请求参数
     * @return
     */
    @PostMapping("createObjRelationsByKeywordAndObjType")
    public List<ObjectRelation> createObjRelationsByKeywordAndObjType(String groupCode, String projectId,
                                                                      String appId, String userId,
                                                                      RequestData requestData){
        CommonResult<List<ObjectRelation>> relations =
                client.createObjRelationsByKeywordAndObjType(groupCode, projectId, appId, userId, requestData);
        return relations.getData();
    }
}
